OGame retro

Démarré par miaouPlop, 29 Août 2016, 09:40:09

« précédent - suivant »

miaouPlop

Bonjour à tous,

Depuis quelques temps maintenant, je suis inscrit sur OGame Retro. Ayant joué pendant longtemps avant (comme les 3/4 des joueurs de l'univers je pense), une chose me manquait cruellement, OGSpy. De ce fait, j'ai commencé à adapter XTense (client/serveur) à l'univers mais je me heurte à plusieurs problèmes :

  • Je ne sais pas pourquoi, mais j'ai des problèmes de namespace avec XTense serveur. C'est arrivé à d'autres ?
  • Les pages de OGame étaient vraiment sales (d'un point de vue source) à l'époque, donc l'extraction des données n'est pas aussi simple que maintenant. Vous auriez quelque part une ancienne version de xtense compatible avec l'univers ?

Pour le moment, les pages principales (overview, bâtiments, flottes, recherches) fonctionnent mais j'ai codé avec les pieds. Du coup, je me demandais si ça intéressait d'autres personnes que moi (et mon alliance) de mettre à jour tout ça (ça m'obligerait à faire un code un peu plus propre) ?
Par ailleurs, j'ai changé certains trucs niveau sécurité dans OGspy (notamment le hash des mots de passe qui était écrit en "à changer plus tard") et la génération de la clé secrète du serveur). Est-ce que ça intéresse que j'en fasse un patch ? Sachant que je compte faire un audit complet du code.


miaouPlop

DarkNoon

Hello miaouPlop,

Nous avons les anciennes versions en stock. Il faudrait retrouver la version qui corresponds à ta version d'OGame.

Par contre attention pour tes développements, il faudrait utiliser OGSpy 3.3.X. Nous sommes en train de mettre les namespace en place sur la 3.4.X d'où tes erreurs je penses.

Pour travailler, est ce que tu pourrais aussi utiliser un dépôt bitbucket ? Il faudrait pour celà que tu forke https://bitbucket.org/ogsteam/tool-xtense-web-extension

En tous cas bon dev car il y a pas mal de travail ;-)
Héberger votre OGSpy : Hébergement

miaouPlop

#2
Citation de: darknoon le 29 Août 2016, 10:38:54
Nous avons les anciennes versions en stock. Il faudrait retrouver la version qui corresponds à ta version d'OGame.
La version c'est 0.77, si jamais vous avez...

Citation de: darknoon le 29 Août 2016, 10:38:54
Par contre attention pour tes développements, il faudrait utiliser OGSpy 3.3.X. Nous sommes en train de mettre les namespace en place sur la 3.4.X d'où tes erreurs je penses.
Normalement, ils sont corrigés (sur toute les pages que j'ai testées en tout cas). Mais du coup, ça me rassure... Je ne voyais aucune "issue" à ce propos sur vos repos donc je me demandais si j'étais si nul que ça...

Citation de: darknoon le 29 Août 2016, 10:38:54
Pour travailler, est ce que tu pourrais aussi utiliser un dépôt bitbucket ? Il faudrait pour celà que tu forke https://bitbucket.org/ogsteam/tool-xtense-web-extension
Déjà fait ! J'ai fork xtense serveur, xtense client et OGspy ! Je commit dans la journée ce que j'ai fait sur OGS et je vous donnerai le lien du bitbucket.
Pour les autres, je donnerai les liens quand j'aurai codé un truc propre...

Je préviens tout de suite, je ne suis pas du tout développeur mais pentester. Donc dans tous les cas mon code sera sale.




EDIT :
Bon, j'ai commit ce que j'ai fait sur OGspy : https://bitbucket.org/miaouPlop/ogspy_retro/
[add] fleet management (CSS, config, empire, db, lang (fr))
[modify] secret key generation: now uses openssl_random_pseudo_bytes
[modify] password generation/creation: min 8 chars and not limitation on char type
[modify] hash algorithm for password: sha512 instead of md5(sha1)


J'ai aussi commit ce que j'ai fait sur l'extension navigateur : https://bitbucket.org/miaouPlop/tool-xtense-web-extension_retro/
[modify] sha512 is now used instead of md5(sha1)
[fix] shipyard, buildings, research, overview, technology, defenses now compatible with OGame Origin

DarkNoon

Tu trouveras tout notre historique ici : http://host.darkcity.fr/svn/ (Tu dois pouvoir récupérer les dépôts avec Tortoise SVN)

Dont les versions compatible Legacy: OGSpy 3.0.8
Héberger votre OGSpy : Hébergement

miaouPlop

Merci beaucoup ! Je vais regarder tout ça !

DarkNoon

Si tu arrives à faire un package qui OGSpy Xtense Mods qui fonctionne, donne le moi je le mettrai à disposition sur une espace de téléchargement.
Héberger votre OGSpy : Hébergement

miaouPlop

Ça marche. La semaine dernière j'ai pas eu trop de temps et cette semaine ça va être dur aussi mais je préviens histoire que vous sachiez le projet n'est pas mort :)

DarkNoon

T'inquiète pas nous faisons tous en fonctions de nos disponibilités :-)
Héberger votre OGSpy : Hébergement

Proutmouth

Bonjour miaouPlop (et tout autre),

Je viens t'informer que tu as au moins un autre joueur qui suis et qui est intéressé par la (re) adaptation d'OGSpy et Xtense pour le retro serveur  ;)

miaouPlop

Ah ben écoutes, bonne nouvelle ! Je devrais pouvoir reprendre le développement la semaine prochaine normalement =)

Proutmouth


DarkNoon

Vous avez regardé dans les anciens mods OGSpy ?
Héberger votre OGSpy : Hébergement